<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否

/***** メディアにファイルサイズを表示 *****/
/* ユーザー定義 メディア一覧にカラム追加 */
function haup_media_columns_filesize( $posts_columns ) {
	$posts_columns['haup_filesize'] = __( 'Size', 'hima-art-utility' );

	return $posts_columns;
}

/* ユーザー定義 サイズを表示 */
function haup_media_custom_column_filesize( $column_name, $post_id ) {
	if ( 'haup_filesize' !== $column_name ) {
		return;
	}

	//ファイルサイズ（データの存在確認を追加20250505）
	$path = get_attached_file( $post_id );

	if( file_exists($path) ){
		$bytes = filesize( $path );
	}else{
		$bytes = '';
	}

	//メタデータの取得
	$meta = wp_get_attachment_metadata($post_id);

	//表示する単位の文字列を定義
	$wide = __('W','hima-art-utility');
	$height = __('H','hima-art-utility');

if(!empty($meta['width'])){
	echo esc_html(size_format( $bytes, 2 )).'<br>'
	.esc_html($wide).':'.esc_html($meta['width']).'px<br>'
	.esc_html($height).':'.esc_html($meta['height']).'px';
}else{
	echo esc_html(size_format( $bytes, 2 ));
}
}

/* 管理画面上のスタイル */
function haup_admin_media_size_column_style_init(){
$custom_css_pre = "
/* HAUP Media Size Column Width */
.column-haup_filesize{width:10%;}
";

	//スタイルコードを改行なしで整形する
	$custom_css = str_replace(PHP_EOL, '', $custom_css_pre);

	wp_add_inline_style('haup-only-admin-style', $custom_css );

}
add_action('admin_enqueue_scripts','haup_admin_media_size_column_style_init');
add_filter( 'manage_media_columns', 'haup_media_columns_filesize' );
add_action( 'manage_media_custom_column', 'haup_media_custom_column_filesize', 10, 2 );	
